Index: src/bin/psql/describe.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/bin/psql/describe.c,v
retrieving revision 1.166
diff -c -c -r1.166 describe.c
*** src/bin/psql/describe.c	30 Mar 2008 18:10:20 -0000	1.166
--- src/bin/psql/describe.c	8 Apr 2008 20:29:01 -0000
***************
*** 310,317 ****
--- 310,328 ----
  						  "  END AS \"%s\",\n",
  						  gettext_noop("Internal name"),
  						  gettext_noop("Size"));
+ 						  
  	appendPQExpBuffer(&buf,
+ 				"  pg_catalog.array_to_string(\n"
+ 				"  	 ARRAY(\n"
+ 				"		     SELECT e.enumlabel\n"
+ 				"          FROM pg_catalog.pg_enum e\n"
+ 				"          WHERE e.enumtypid = t.oid\n"
+ 				"          ORDER BY e.oid\n"
+ 				"      ),\n"
+ 				"      E'\\n'\n"
+ 				"  ) AS \"%s\",\n"
  				"  pg_catalog.obj_description(t.oid, 'pg_type') as \"%s\"\n",
+ 					  gettext_noop("Elements"),
  					  gettext_noop("Description"));
  
  	appendPQExpBuffer(&buf, "FROM pg_catalog.pg_type t\n"
